unable to upgrade with lubuntu-desktop and ubuntu-desktop installed due to xscreensaver

Bug #1875107 reported by Brian Ettkin on 2020-04-25
70
This bug affects 12 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Medium
Brian Murray
Focal
Medium
Unassigned

Bug Description

Impact
------
Users who have both the lubuntu-desktop meta package (which depends on xscreensaver) and the ubuntu-desktop meta package install can not upgrade to the next release of Ubuntu. This is because there is a PostUpgradeRemove rule for the xscreensaver package. This rule has been around since at least Dapper and as far as I know is no longer necessary.

[Test Case]
-----------
1) On an Ubuntu 18.04 LTS system install both the ubuntu-desktop and lubuntu-desktop metapacakges
2) Run do-release-upgrade -d to upgrade to Ubuntu 20.04 LTS
3) Observe that the upgrade fails to calculate and notice the following in /var/log/dist-upgrade/main.log:
2020-07-20 11:37:59,839 DEBUG Marking 'ubuntu-desktop' for upgrade
2020-07-20 11:38:00,074 DEBUG Marking 'lubuntu-desktop' for upgrade
2020-07-20 11:38:01,181 WARNING Can't mark 'lubuntu-desktop' for upgrade (E:Unable to correct problems, you have held broken packages.)

To test the version of the dist-upgrader from -proposed you'll need to download the dist-upgrade tarball and extract it in to /tmp/. Then run sudo ./focal --frontend DistUpgradeViewText.

Regression Potential
--------------------
The PostUpgradeRemove rule is a holdover from long ago and is no longer necessary. Additionally, the xscreensaver is safe to have installed so there is no chance of regression.

Original Description
--------------------
Trying to upgrade from 19.10 to 20.04. I removed all third party ppas and still didn't work

ProblemType: BugDistroRelease: Ubuntu 19.10
Package: ubuntu-release-upgrader-core 1:19.10.15.4
ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
Uname: Linux 5.3.0-46-generic x86_64
ApportVersion: 2.20.11-0ubuntu8.8
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Sat Apr 25 18:54:27 2020
InstallationDate: Installed on 2020-02-04 (81 days ago)
InstallationMedia: Lubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017.1)
PackageArchitecture: allSourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to eoan on 2020-04-25 (0 days ago)
VarLogDistupgradeTermlog:

Brian Ettkin (shtirlitz) wrote :
Brian Murray (brian-murray) wrote :

This is in part because you have the lubuntu-desktop metpackage and the ubuntu-desktop metapackage installed. The lubuntu-desktop meta package depends on xscreensaver but the ubuntu-desktop upgrade rule says to remove that package which creates an impossible situation.

To be able to upgrade you could choose only one of the metapackages to have installed and then try upgrading again.

summary: - Updater reports error related to unsupporteed PPA
+ unable to upgrade with lubuntu-desktop and ubuntu-desktop installed
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
tags: added: rls-ff-incoming
Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: New → Confirmed
importance: Undecided → Medium
tags: removed: rls-ff-incoming
tags: added: id-5eb44dec047a1321d7e58342
summary: - unable to upgrade with lubuntu-desktop and ubuntu-desktop installed
+ unable to upgrade with lubuntu-desktop and ubuntu-desktop installed due
+ to xscreensaver
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: Confirmed → In Progress
description: updated
description: updated
Annoying One (annoying1) wrote :

I removed the ubuntu-desktop metapackage, as suggested in bug report 1888275. That allowed the do-release-upgrade scripting to proceed. Thanks for pointing out the other report, and apologies for the duplication.

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.23 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-focal

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:20.04.23) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:20.04.23 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Brian Murray (brian-murray) wrote :

I tested the dist-upgrader tarball from -proposed and was able to upgrade with both ubuntu-desktop and lubuntu-desktop meta packages installed. Additionally, xscreensaver remained installed.

Relevant bits of /var/log/dist-upgrade/main.log
2020-07-21 09:02:44,309 INFO Using config files '['./DistUpgrade.cfg.bionic']'
2020-07-21 09:02:44,309 INFO uname information: 'Linux clean-bionic-amd64 4.15.0-112-generic #113-Ubuntu SMP Thu Jul 9 23:41:39 UTC 2020 x86_
64'
2020-07-21 09:02:44,728 INFO apt version: '1.6.12ubuntu0.1'
2020-07-21 09:02:44,728 INFO python version: '3.6.9 (default, Apr 18 2020, 01:56:04)
[GCC 8.4.0]'
2020-07-21 09:02:44,732 INFO release-upgrader version '20.04.23' started

...
2020-07-21 09:06:09,648 DEBUG Marking 'ubuntu-desktop' for upgrade
2020-07-21 09:06:09,682 DEBUG Marking 'lubuntu-desktop' for upgrade
2020-07-21 09:06:10,125 DEBUG About to apply the following changes

bdmurray@clean-bionic-amd64:/tmp/focal$ apt-cache policy xscreensaver
xscreensaver:
  Installed: 5.42+dfsg1-1ubuntu1
  Candidate: 5.42+dfsg1-1ubuntu1
  Version table:
 *** 5.42+dfsg1-1ubuntu1 500
        500 http://192.168.10.7/ubuntu focal/universe amd64 Packages
        100 /var/lib/dpkg/status

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.6

---------------
ubuntu-release-upgrader (1:20.10.6) groovy; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

 -- Brian Murray <email address hidden> Mon, 20 Jul 2020 17:11:29 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Chris Guiver (guiverc) wrote :

Thanks folks, & esp. @Brian Murray

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.23

---------------
ubuntu-release-upgrader (1:20.04.23) focal; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

ubuntu-release-upgrader (1:20.04.22) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <email address hidden> Mon, 20 Jul 2020 17:23:48 -0700

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Mathew Hodson (mhodson) on 2020-10-03
tags: removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers